package com.example.gromov;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.Query;

public interface RetrofitAPI {

    @GET("TableGames/{ID}")
    Call<DataModal> getData(@Path("ID") int ID);

    @POST("TableGames")
    Call<DataModal> createPost (@Body DataModal dataModal);

    @PUT("TableGames/{ID}")
    Call<DataModal> updateData(@Query("ID") int ID, @Body DataModal dataModal);

    @DELETE("TableGames/{ID}")
    Call<DataModal> deleteData(@Path("ID") int ID);
}
